Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class NO_PERMISSIONHolder

    java.lang.Object
      |
      +--org.omg.CORBA.NO_PERMISSIONHolder

All Implemented Interfaces:
  Streamable

public final class NO_PERMISSIONHolder
extends java.lang.Object
implements Streamable

Holder class for : NO_PERMISSION

Author:
  OpenORB Compiler

Field Summary
`NO_PERMISSION` | `value` Internal NO_PERMISSION value

Constructor Summary
`NO_PERMISSIONHolder()` Default constructor
`NO_PERMISSIONHolder(NO_PERMISSION initial)` Constructor with value initialisation

Method Summary
`void` | `_read(InputStream istream)` Read NO_PERMISSION from a marshalled stream
`TypeCode` | `_type()` Return the NO_PERMISSION TypeCode
`void` | `_write(OutputStream ostream)` Write NO_PERMISSION into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public NO_PERMISSION value

  Internal NO_PERMISSION value

Constructor Detail

### NO_PERMISSIONHolder

    public NO_PERMISSIONHolder()

  Default constructor

### NO_PERMISSIONHolder

    public NO_PERMISSIONHolder(NO_PERMISSION initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read NO_PERMISSION from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write NO_PERMISSION into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the NO_PERMISSION TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD